Installation flutter

salut a tous je suis nouveau dans la formation j’ai un soucis lors de l’installation de Flutter sur mon Mac le terminal affiche
zsh: permission denied
a quoi cela correspond merci d’avance

Sur ton Terminal, il y a un logiciel de terminal qui l’anime : bash, zsh, tcsh… et d’autres sont possibles. Veux-tu savoir lequel ? Tu ouvres une fenêtre de Terminal et tu tapes : What? le Terminal va te répondre en donnant le nom du logiciel qui s’en occupe. Exemple chez moi :
Screenshot 2021-07-20 at 16.15.14

Si chez toi aussi, c’est zsh, comme il a l’air de te le dire, c’est que probablement l’emplacement que tu auras choisi pour installer Flutter appartient au système et que tu n’as pas le droit, et ton zsh non plus, de l’utiliser pour ça. Il faut essayer sur un autre dossier peut-être. Il te donne un message d’erreur plus précis, si tu peux l’envoyer ?

Bonjour,

Il manque les droits pour exécuter le programme. Il faut rajouter un ‘Sudo’ devant la commande puis rentrer le mot de passe système.

A priori on n’a pas besoin de sudo pour utiliser Flutter donc autant l’éviter le plus possible, sinon tous les fichiers que tu vas créer seront des fichiers root et ça posera bien d’autres problèmes par la suite.

@glody : Tu peux nous expliquer un peu plus comment le problème survient ? Quelle est la commande qui fait ça exactement ?

1 J'aime